Skip to main content
GET
/
v1
/
telemetry
/
logs
Get Logs
curl --request GET \
  --url https://api.example.com/v1/telemetry/logs
{
  "query": "<string>",
  "direction": "forward",
  "start_ns": 123,
  "end_ns": 123,
  "streams": [
    {
      "labels": {},
      "entries": [
        {
          "timestamp": 123,
          "line": "<string>"
        }
      ]
    }
  ],
  "next_timestamp": 123
}

Query Parameters

time_range
enum<string>
default:1h

Window to pull logs for

Available options:
15m,
30m,
1h,
2h,
6h,
1d,
7d,
30d
service_name
string | null

Filter by service_name label

level
string | null

Filter by level label

job
string | null

Filter by job label

exporter
string | null

Filter by exporter label

agent_configuration_id
string | null

Restrict to a specific agent configuration id

evaluation_id
string | null

Restrict logs to an evaluation id

test_id
string | null

Restrict logs to a test id

probe_id
string | null

Restrict logs to a probe id

search
string | null

Substring search applied via LogQL pipeline

logql
string | null

Advanced LogQL expression (overrides generated selector when provided)

limit
integer
default:200

Maximum log lines to return

Required range: 1 <= x <= 5000
direction
enum<string>
default:backward

Return order for log entries

Available options:
forward,
backward

Response

Successful Response

query
string
required

Executed LogQL query

direction
enum<string>
required

Result ordering

Available options:
forward,
backward
start_ns
integer
required

Start window in nanoseconds

end_ns
integer
required

End window in nanoseconds

streams
LogStreamResponse · object[]
next_timestamp
integer | null

Bookmark timestamp for pagination

Last modified on April 21, 2026